@import "pref";

nevis-auth-login {
  width: 100%;
}

.nevis-auth-login {
  padding-top: $indent-local;

  position: relative;

  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}

.nevis-auth-login__third-party {
  margin-bottom: $indent-local/2;
}

.nevis-auth-login__third-party-signed-in-wrap {
  width: 100%;
  margin-top: $page-header-height;

  text-align: center;

  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}

.nevis-auth-login__third-party-btn {
  width: $single-btn-width;
  margin-top: $form-half-indent;
}

.nevis-auth-login__or {
  align-self: center;
  @include reset-margin-padding();
  margin-bottom: $indent-local/2;

  @include fonts4($font-size-x1, $font-size-x1, $font-weight-normal, italic);
  text-transform: uppercase;

  user-select: none;
}

.nevis-auth-login__form {
  position: relative;
  margin-bottom: $form-std-indent;
}

.nevis-auth-login__not-my-device {
  margin-bottom: $form-std-indent;
  user-select: none;
}

.nevis-auth-login__action {
  position: relative;

  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}

.nevis-auth-login__action-btn {
  width: 150px;
}

.nevis-auth-login__password-reset {
  margin-left: 25px;

  background-color: transparent;
  border: 0;

  @include fonts4($font-size-x2, $font-size-x2, $font-weight-normal, normal);
  text-decoration: none;
  text-align: center;

  user-select: none;
  transition: color 0.15s ease, border-color 0.15s ease;

  &:link,
  &:visited {
    color: $color-mine-shaft;
  }

  &:hover,
  &:focus {
    outline-width: 0;
    color: $color-danger;
    border-bottom-color: $color-danger;
    cursor: pointer;
  }

  &:active {
    opacity: 0.5;
  }
}

//
// ADAPTIVE
//
@include media-tablet {

  .nevis-auth-login {
    flex-direction: row;
    justify-content: flex-end;
    padding-top: $indent-local + $indent-local / 4;
  }

  .nevis-auth-login__or {
    display: none;
  }

  .nevis-auth-login__form {
    width: $block-standard-width;
  }

  .nevis-auth-login__third-party {
    width: $block-standard-width;
    margin-right: $indent-local + $indent-local / 2;
  }
}

@include media-desktop {

  .nevis-auth-login {
    padding-top: $indent-local + $indent-local / 2;
  }

  .nevis-auth-login__third-party {
    margin-right: 2 * $indent-local;
  }
}
